mkstegfs(1)

NAME
mkstegfs - mkfs binary to create stegfs file systems

SYNOPSIS
mkstegfs [-z size] <file system> [optional arguments ...]

DESCRIPTION
stegfs is a FUSE based file system which provides absolute security. Using encryption to secure files, and the art of steganography to hide them, stegfs aims to ensure that the existence of such files isn't guaranteed. Implemented as a FUSE based file system and using the libgcrypt library to provide the cryptographic hash and symmetric block cipher functions, stegfs is at the cutting edge of secure file system technology.

OPTIONS

-h, --help
    Display list of arguments

-l, --licence
    Display GNU GPL v3 licence header

-v, --version
    Display application version

-c, --cipher ALGORITHM
    Algorithm to use to encrypt data

-s, --hash ALGORITHM
    Hash algorithm to generate key

-m, --mode MODE
    The encryption mode to use

-p, --paranoid
    Enable paranoia mode

-x, --duplicates COPIES
    Number of times each file should be duplicated

-z, --size SIZE
    Desired file system size, required when creating a file system in a normal file

-f, --force
    Force overwrite existing file, required when overwriting a file system in a normal file

-r, --rewrite-sb
    Rewrite the superblock (perhaps it became corrupt)

-d, --dry-run
    Dry run - print details about the file system that would have been created

NOTES
It doesn't matter which order the file system and mount point are specified as stegfs will figure that out. All other options are passed to FUSE.

If you’re feeling extra paranoid you can now disable to stegfs file system header. This will also disable the checks when mounting and thus anything could happen ;-)

AUTHOR
Written by Ashley Morgan Anderson

BUGS
If you do think you've really found a bug, please first check the README or the CHANGELOG to see if it has already been documented and scheduled for the next release; then if you're still convinced, let us know at https://albinoloverats.net/?tracker

COPYRIGHT
Copyright © 2007-2015 albinoloverats ~ Software Development

LICENCE
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

Note on spelling: As albinoloverats.net is a British company and “licence” is the correct spelling in its native language. However, the name of the licences, written in most cases in America, feature the American spelling of the word, license. As part of the title of the official licensing document it was thought inappropriate to alter the spelling. In British English, license is the verb, licence is the noun and licensee is the person who is granted a Licence.